Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.elang.xpath20.compiler
Class OdeXPathFunctionLibrary

    java.lang.Object
      net.sf.saxon.xpath.XPathFunctionLibrary
          org.apache.ode.bpel.elang.xpath20.compiler.OdeXPathFunctionLibrary

All Implemented Interfaces:
  java.io.Serializable, net.sf.saxon.functions.FunctionLibrary

    public class OdeXPathFunctionLibrary

extends net.sf.saxon.xpath.XPathFunctionLibrary

Overloading the XPathFunctionLibrary to force it to initialize our functions giving the provided parameters. Otherwise the Saxon implemetation just never gives you any parameter before runtime.

See Also:
  Serialized Form

Constructor Summary
`OdeXPathFunctionLibrary(JaxpFunctionResolver funcResolver)`

Method Summary
`net.sf.saxon.expr.Expression` | `bind(int nameCode, java.lang.String uri, java.lang.String local, net.sf.saxon.expr.Expression[] staticArgs)`

Methods inherited from class net.sf.saxon.xpath.XPathFunctionLibrary
`copy, getXPathFunctionResolver, isAvailable, setXPathFunctionResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OdeXPathFunctionLibrary

    public OdeXPathFunctionLibrary(JaxpFunctionResolver funcResolver)

Method Detail

### bind

    public net.sf.saxon.expr.Expression bind(int nameCode,
                                             java.lang.String uri,
                                             java.lang.String local,
                                             net.sf.saxon.expr.Expression[] staticArgs)
                                      throws net.sf.saxon.trans.XPathException

  Specified by:
    `bind` in interface `net.sf.saxon.functions.FunctionLibrary`
  Overrides:
    `bind` in class `net.sf.saxon.xpath.XPathFunctionLibrary`
  Throws:
    `net.sf.saxon.trans.XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD